package com.ximai.mes.report.service.impl;

import com.ximai.mes.pro.domain.ProFeedback;
import com.ximai.mes.pro.mapper.ProFeedbackMapper;
import com.ximai.mes.report.request.FeedbackRequest;
import com.ximai.mes.report.response.*;
import com.ximai.mes.report.service.FeedbackService;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FeedbackServiceImp implements FeedbackService {
    @Autowired
    ProFeedbackMapper proFeedbackMapper;
    @Override
    public List<FeedbackResponse> getList(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getList(feedbackRequest);
    }
    @Override
    public List<FeedbackResponseExportByList> export(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.export(feedbackRequest);
    }


    @Override
    public List<FeedbackResponse> getListByWorkOrder(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getListByWorkOrder(feedbackRequest);
    }

    @Override
    public List<FeedbackResponseExportByWorkOrder> getListByWorkOrderExport(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.getListByWorkOrderExport(feedbackRequest);
    }

    @Override
    public List<FeedbackResponse> getListByWorkshop(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getListByWorkshop(feedbackRequest);
    }
    @Override
    public List<FeedbackResponseExportByWorkshop> getListByWorkshopExport(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.getListByWorkshopExport(feedbackRequest);
    }

    @Override
    public List<FeedbackResponse> getListByWorkstation(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getListByWorkstation(feedbackRequest);
    }
    @Override
    public List<FeedbackResponseExportByWorkstation> getListByWorkstationExport(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.getListByWorkstationExport(feedbackRequest);
    }

    @Override
    public List<FeedbackResponse> getListByWorkunit(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getListByWorkunit(feedbackRequest);
    }
    @Override
    public List<FeedbackResponseExportByWorkunit> getListByWorkunitExport(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.getListByWorkunitExport(feedbackRequest);
    }

    @Override
    public List<FeedbackResponse> getListByProcess(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getListByProcess(feedbackRequest);
    }

    @Override
    public  List<FeedbackResponseExportByProcess> getListByProcessExport(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.getListByProcessExport(feedbackRequest);
    }

    @Override
    public List<FeedbackResponse> getListByUser(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getListByUser(feedbackRequest);
    }

    @Override
    public List<FeedbackResponseExportByUser> getListByUserExport(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.getListByUserExport(feedbackRequest);
    }

    @Override
    public List<FeedbackResponse> getListByDefect(FeedbackRequest feedbackRequest) {
        return proFeedbackMapper.getListByDefect(feedbackRequest);
    }



    @Override
    public List<FeedbackResponseExportByDefect> getListByDefectExport(FeedbackRequest feedbackRequest){
        return proFeedbackMapper.getListByDefectExport(feedbackRequest);
    }

}
